Bug 597062 - filesystem corruption on ext4
filesystem corruption on ext4
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Edward Shishkin
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 23:25 EDT by Xiaohong Wang
Modified: 2011-02-01 07:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-01 07:49:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaohong Wang 2010-05-27 23:25:13 EDT
copying from email for tracking this problem:

I'm using ext4 as my rhel6 test box, but I'm seeing a error while I'm testing xfs via loop device:

first I got a error in the running rhel6 kernel:

EXT4-fs error (device dm-0) in ext4_reserve_inode_write: Journal has aborted
EXT4-fs error (device dm-0) in ext4_reserve_inode_write: Journal has aborted
EXT4-fs error (device dm-0): ext4_journal_start_sb: Detected aborted journal
EXT4-fs (dm-0): Remounting filesystem read-only
SysRq : Resetting
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #264071 offset 0
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #1180633 offset 0

then I rebooted the test box, this time it dropped me in a repair sulogin:

Checking filesystems
Checking all file systems.
[/sbin/fsck.ext4 (1) -- /] fsck.ext4 -a /dev/mapper/VolGroup-lv_root
/dev/mapper/VolGroup-lv_root contains a file system with errors, check forced.
/dev/mapper/VolGroup-lv_root: Inodes that were part of a corrupted orphan linked list found.

/dev/mapper/VolGroup-lv_root: UNEXPECTED INCONSISTENCY; RUN fsck MANUALLY.
        (i.e., without -a or -p options)
[FAILED]

*** An error occurred during the file system check.
*** Dropping you to a shell; the system will reboot
*** when you leave the shell.
Give root password for maintenance
(or type Control-D to continue):
bash: cannot set terminal process group (-1): Inappropriate ioctl for device
bash: no job control in this shell
(Repair filesystem) 1 # fsck^G.e^Gxt^G4^G
fsck.ext4     fsck.ext4dev
(Repair filesystem) 1 # fsck.ext4
fsck.ext4     fsck.ext4dev
(Repair filesystem) 1 # fsck.ext4 /dev/mapper/V^GolGroup-lv^G_root
e2fsck 1.41.12 (17-May-2010)
/dev/mapper/VolGroup-lv_root contains a file system with errors, check forced.
Pass 1: Checking inodes, blocks, and sizes
Inodes that were part of a corrupted orphan linked list found.  Fix<y>? yes

Inode 266589 was part of the orphaned inode list.  FIXED.
Inode 266732 was part of the orphaned inode list.  FIXED.
Inode 267539 was part of the orphaned inode list.  FIXED.
Inode 267659 was part of the orphaned inode list.  FIXED.
Inode 267749 was part of the orphaned inode list.  FIXED.
Inode 267835 was part of the orphaned inode list.  FIXED.
Inode 268043 was part of the orphaned inode list.  FIXED

[ .. snip .. ]

Inode 2228902 was part of the orphaned inode list.  FIXED.
Inode 2228932 was part of the orphaned inode list.  FIXED.
Inode 2228934 was part of the orphaned inode list.  FIXED.
Pass 2: Checking directory structure
Pass 3: Checking directory connectivity
Pass 4: Checking reference counts
Pass 5: Checking group summary information
Block bitmap differences:  -(69440--69476) -(1085088--1085114) -(1090528--1090532) -(1092672--1092706) -(1093981--1094013) -(1094792--1094799) -(1095500--1095503) -(1096000--1096039) -(1096544--1096550) -(1100856--1100946) -(1103259--1103264) -(1104896--1105056) -(1105513--1105584) -(1105611--1105627) -(1106304--1106311) -(1107392--1107451) -(1107616--1107636) -(1111078--1111087) -(1111795--1111839) -(1113898--1113906) -(1113920--1113951) -(1115749--1115784) -(1115912--1115918) -(1124224--1124266) -(1124736--1124808) -(1128114--1128194) -(1137948--1137980) -(1138144--1138151) -(1142860--1142870) -(1142877--1142879) -(1144472--1144516) -(1144728--1144765) -(1147421--1147427) -(1147886--1147899) -(1149174--1149242) -(1154323--1154381) -(1162187--1162192) -(1173306--1173310) -(1200808--1200853) -(1201136--1201166) -(1201189--1201223) -(1213780--1213865) -(1220181--1220201) -(1220800--1220839) -(1224887--1224907) -(1225034--1225086) -(1225639--1225683) -(1247232--1247277) -(1287454--1287563) -(1319121--1319181) -(1507937--1508009) -(1583632--1583873) -(1586551--1586770) -(1588493--1588598) -(1588928--1589034) -(1592350--1592493) -(1593801--1594114) -(1882624--1882960) -(1883131--1883423) -(3594912--3595314) -(7375644--7375874) -(8945676--8945679) -(8945784--8945793) -(8945813--8945815) -(8945820--8945822) -(8945824--8945827) -(8945982--8946040) -(8946078--8946108) -(8946121--8946141) -(8946248--8946252) -(8946286--8946287) -(8946318--8946346) -(8946456--8946463) -(8946663--8946671) -(8946730--8946765) -(8946784--8946788) -(8946828--8946834) -(8947024--8947033) -(8947039--8947053) -(8947071--8947098) -(8947104--8947110) -(8947147--8947151) -(8947480--8947484) -(8947520--8947592) -(8947618--8947667) -(8948115--8948147) -(8948368--8948406) -(8948416--8948451) -(8948924--8948958) -(8949142--8949165) -(8950278--8950311) -(8950960--8950977) -(8954672--8954716) -(8978855--8978936) -(9453475--9453565) -(9462114--9463382) -(9463506--9463975) -(9464093--9464226) -(9464640--9464894) -(9466551--9466719)
Fix<y>? yes

Free blocks count wrong for group #2 (5214, counted=5251).
Fix<y>? yes

Free blocks count wrong for group #33 (3043, counted=3734).
Fix<y>? yes

after I did the manually  repair, then the system got rebooted again.
when the ext4 fs got mounted this time, the progress is very slow, and get errors:

Mounting local filesystems:  I/O error in filesystem ("dm-7") meta-data dev dm-7 block 0x140316f       ("xlog_bread") error 5 buf count 2097152
EXT4-fs (dm-0): delayed block allocation failed for inode 1180291 at logical offset 0 with max blocks 1 with error -30
This should not happen!!  Data will be lost
EXT4-fs error (device dm-0) in ext4_da_writepages: Journal has aborted
EXT4-fs error (device dm-0): ext4_journal_start_sb: Detected aborted journalmount: /dev/mapp
EXT4-fs (dm-0): Remounting filesystem read-only
er/VolGroup-data: can't read superblock
[FAILED]
Enabling local filesystem quotas:  EXT4-fs (dm-0): ext4_da_writepages: jbd2_start: 1022 pages, ino 1180291; err -30
/etc/init.d/functions: line 532: /sbin/quotaon: Input/output error
[FAILED]

I think obviously we got some data corruption here, this might be a bug, would you mind have a look of this?

this test box is still there, I have the full console log
If you need further information, please let me know.


Thanks,
Xiaohong
Comment 1 Eric Sandeen 2010-06-01 16:57:39 EDT
FWIW:

> first I got a error in the running rhel6 kernel:

> EXT4-fs error (device dm-0) in ext4_reserve_inode_write: Journal has aborted
> EXT4-fs error (device dm-0) in ext4_reserve_inode_write: Journal has aborted
> EXT4-fs error (device dm-0): ext4_journal_start_sb: Detected aborted journal

There should have been a message prior to this about -why- the journal aborted, I think.  If any of this is still in system logs can you add it?  Though if this was the root fs that went bad maybe nothing was saved to logs.

-Eric
Comment 2 Eric Sandeen 2010-06-01 17:09:22 EDT
also:

> after I did the manually  repair, then the system got rebooted again.
> when the ext4 fs got mounted this time, the progress is very slow, and get
> errors:

> Mounting local filesystems:  I/O error in filesystem ("dm-7") meta-data dev
> dm-7 block 0x140316f       ("xlog_bread") error 5 buf count 2097152

^^^ the above is an -XFS- error.  "error 5" is EIO.

> EXT4-fs (dm-0): delayed block allocation failed for inode 1180291 at logical
> offset 0 with max blocks 1 with error -30
> This should not happen!!  Data will be lost

^^^ and this is ext4.  It seems that perhaps something below the filesystems is problematic.
Comment 3 Xiaohong Wang 2010-06-02 10:30:34 EDT
(In reply to comment #1)
> FWIW:
> 
> > first I got a error in the running rhel6 kernel:
> 
> > EXT4-fs error (device dm-0) in ext4_reserve_inode_write: Journal has aborted
> > EXT4-fs error (device dm-0) in ext4_reserve_inode_write: Journal has aborted
> > EXT4-fs error (device dm-0): ext4_journal_start_sb: Detected aborted journal
> 
> There should have been a message prior to this about -why- the journal aborted,
> I think.  If any of this is still in system logs can you add it?  Though if
> this was the root fs that went bad maybe nothing was saved to logs.
> 

yep, this is the root partition, so I can't find something from the system logs.
All this error messages are from serial console log, I checked it again just now,
those are the first fs errors I can find,  before this is some regular userspace outputs, as following:

.qa.[root@s390x-5s-3-v1 tps]# ^G
Broadcast message from root (pts/4) (Tue May 25 09:11:34 2010):

Heads Up! tps-rhnqa-2010:9588 is changing rhn symlink to point to live
^G
Broadcast message from root (pts/4) (Tue May 25 09:11:44 2010):

Heads Up! tps-rhnqa-2010:9588 is changing rhn symlink to point to live
^G
Broadcast message from root (pts/4) (Tue May 25 09:11:59 2010):

Heads Up! tps-rhnqa-2010:9588 is changing rhn symlink to point to qa

^^^^^^^^^^^^^^^^^^^^^^^^  those are ssh output, I used this console connected to a stable system by mistake :(

EXT4-fs error (device dm-0) in ext4_reserve_inode_write: Journal has aborted
EXT4-fs error (device dm-0) in ext4_reserve_inode_write: Journal has aborted
EXT4-fs error (device dm-0): ext4_journal_start_sb: Detected aborted journal
EXT4-fs (dm-0): Remounting filesystem read-only
SysRq : Resetting
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #264071 offset 0
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #1180633 offset 0^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@Press any key to enter the menu


Booting Red Hat Enterprise Linux (2.6.32-28.el6.x86_64) in 4 seconds...Booting Red Hat Enterprise Linux (2.6.32-28.el6.x86_64) in 3 seconds...Booting Red Hat Enterprise Linux (2.6.32-28.el6.x86_64) in 2 seconds...Booting Red Hat Enterprise Linux (2.6.32-28.el6.x86_64) in 1 seconds...Booting Red Hat Enterprise Linux (2.6.32-28.el6.x86_64) in 0 seconds...Initializing cgroup subsys cpuset
Initializing cgroup subsys cpu




> -Eric
Comment 4 Xiaohong Wang 2010-06-02 10:36:58 EDT
(In reply to comment #2)
> also:
> 
> > after I did the manually  repair, then the system got rebooted again.
> > when the ext4 fs got mounted this time, the progress is very slow, and get
> > errors:
> 
> > Mounting local filesystems:  I/O error in filesystem ("dm-7") meta-data dev
> > dm-7 block 0x140316f       ("xlog_bread") error 5 buf count 2097152
> 
> ^^^ the above is an -XFS- error.  "error 5" is EIO.
> 
> > EXT4-fs (dm-0): delayed block allocation failed for inode 1180291 at logical
> > offset 0 with max blocks 1 with error -30
> > This should not happen!!  Data will be lost
> 
> ^^^ and this is ext4.  It seems that perhaps something below the filesystems is
> problematic.    

As I said in the email:

After I've ever mounted the root volume (/dev/mapper/VolGroup-lv_root) from a Fedora 13 live CD once,
the root volume could be mounted in booting progress of RHEL6 system now, and the rhel6 booting progress goes fine :(

we can't find the problem for the current situation,

If you agree, I will close this bz, and will reopen this when I hit this problem again.
Comment 5 Xiaohong Wang 2010-06-04 00:53:38 EDT
I saw this problem again.

This happened after I upgraded my test box from kernel-2.6.32-28.el6 to RHEL6.0-20100531.1 tree, kernel 2.6.32-31.el6.x86_64,
after the upgrade, I did a system reboot, then I saw this,
the system hangs there for a long time after 'Enabling local filesystem quotas',
the got all the fs errors:
EXT4-fs error (device dm-0): ext4_journal_start_sb: Detected aborted journal
EXT4-fs (dm-0): Remounting filesystem read-only
/etc/init.d/functions: line 532: /sbin/quotaon: Input/output error
[FAILED]
cat: /var/lib/random-seed: Input/output error
/etc/rc.d/rc.sysinit: line 709: /bin/chmod: Input/output error
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=273724, block=1049331
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #2097758 offset 0
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #2363675 offset 0
/etc/rc.d/rc.sysinit: line 763: /bin/find: Input/output error
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #2097156 offset 0
/etc/rc.d/rc.sysinit: line 769: /var/run/utmp: Read-only file system
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #2097758 offset 0
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=273724, block=1049331
/etc/rc.d/rc.sysinit: line 844: /sbin/getkey: Input/output error
touch: cannot touch `/var/log/wtmp': Read-only file system
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=273724, block=1049331
touch: cannot touch `/var/run/getkey_done': Read-only file system
/etc/rc.d/rc.sysinit: line 771: /bin/chgrp: Input/output error
/etc/rc.d/rc.sysinit: line 772: /bin/chmod: Input/output error
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=2363579, block=9437483
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=2363579, block=9437483
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=273724, block=1049331
rm: cannot remove `/tmp/.ICE-unix': Input/output error
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=2363579, block=9437483
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=2363579, block=9437483
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=273724, block=1049331
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=2363579, block=9437483
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=2363579, block=9437483
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=273724, block=1049331
chown: cannot access `/tmp/.ICE-unix': Input/output error
Enabling /etc/fstab swaps:  /etc/init.d/functions: line 532:EXT4-fs error (device dm-0): __ext4_get_inode_loc:  /sbin/swapon: Iunable to read inode block - inode=306144, block=
1051357nput/output erro
r
[FAILED]
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #2097758 offset 0
/etc/rc.d/rc.sysEXT4-fs error (device dm-0): __ext4_get_inode_loc: init: line 826: unable to read inode block - inode=273724, block=1049331
/var/log/dmesg: Read-only file system
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error


Now I leave the test box alone there, If you need further action or information on it, please let me know
The following is the full boot log catched from serial console:

Red Hat Enterprise Linux release 6.0 Beta (Santiago)
Kernel 2.6.32-28.el6.x86_64 on an x86_64

wd20.nay.redhat.com login: Restarting system.
Press any key to enter the menu


Booting Red Hat Enterprise Linux (2.6.32-31.el6.x86_64) in 4 seconds...Booting Red Hat Enterprise Linux (2.6.32-31.el6.x86_64) in 3 seconds...Booting Red Hat Enterprise Linux (
2.6.32-31.el6.x86_64) in 2 seconds...Booting Red Hat Enterprise Linux (2.6.32-31.el6.x86_64) in 1 seconds...Booting Red Hat Enterprise Linux (2.6.32-31.el6.x86_64) in 0 seconds
...Initializing cgroup subsys cpuset
Initializing cgroup subsys cpu
Linux version 2.6.32-31.el6.x86_64 (mockbuild@x86-008.build.bos.redhat.com) (gcc version 4.4.4 20100525 (Red Hat 4.4.4-5) (GCC) ) #1 SMP Thu May 27 18:26:27 EDT 2010
Command line: ro root=/dev/mapper/VolGroup-lv_root rd_LVM_LV=VolGroup/lv_root rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=u
s nomodeset console=ttyS0,115200 crashkernel=auto
KERNEL supported cpus:
  Intel GenuineIntel
  AMD AuthenticAMD
  Centaur CentaurHauls
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009a800 (usable)
 BIOS-e820: 000000000009a800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 00000000bf7a0000 (usable)
 BIOS-e820: 00000000bf7a0000 - 00000000bf7c8000 (ACPI data)
 BIOS-e820: 00000000bf7c8000 - 00000000bf7c9000 (ACPI NVS)
 BIOS-e820: 00000000bf7c9000 - 00000000c0000000 (reserved)
 BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
 BIOS-e820: 00000000fed00000 - 00000000fed00400 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ff000000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000340000000 (usable)
DMI present.
last_pfn = 0x340000 max_arch_pfn = 0x400000000
x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
total RAM covered: 12280M
Found optimal setting for mtrr clean up
 gran_size: 64K 	chunk_size: 16M 	num_reg: 6  	lose cover RAM: 0G
last_pfn = 0xbf7a0 max_arch_pfn = 0x400000000
init_memory_mapping: 0000000000000000-00000000bf7a0000
init_memory_mapping: 0000000100000000-0000000340000000
RAMDISK: 373ee000 - 37fef43d
ACPI: RSDP 00000000000f6b00 00024 (v02 PTLTD )
ACPI: XSDT 00000000bf7bfa5e 0007C (v01 LENOVO TC-61    060400D0  LTP 00000000)
ACPI: FACP 00000000bf7c79e3 000F4 (v03 LENOVO TC-61    060400D0 PTL  00000002)
ACPI: DSDT 00000000bf7bfada 07E85 (v01 LENOVO TC-61    060400D0 MSFT 0100000E)
ACPI: FACS 00000000bf7c8fc0 00040
ACPI: SPPM 00000000bf7c7ad7 00024 (v01 Intel  OEMDMAR  060400D0 LOHR 00000001)
ACPI: SLIT 00000000bf7c7afb 00030 (v01 Intel  TYLERBRG 060400D0 LOHR 0000005A)
ACPI: TCPA 00000000bf7c7b2b 00032 (v01 LENOVO TC-61    060400D0 PTL  00000000)
ACPI: SRAT 00000000bf7c7b5d 00128 (v01 Intel  Tylerbrg 060400D0 PHX. 00000001)
ACPI: DMAR 00000000bf7c7c85 001C0 (v01 Intel  OEMDMAR  060400D0 LOHR 00000001)
ACPI: APIC 00000000bf7c7e45 000BC (v01 PTLTD  ? APIC   060400D0  LTP 00000000)
ACPI: MCFG 00000000bf7c7f01 0003C (v01 PTLTD    MCFG   060400D0  LTP 00000000)
ACPI: HPET 00000000bf7c7f3d 00038 (v01 PTLTD  HPETTBL  060400D0  LTP 00000001)
ACPI: BOOT 00000000bf7c7f75 00028 (v01 PTLTD  $SBFTBL$ 060400D0  LTP 00000001)
ACPI: ASF! 00000000bf7c7f9d 00063 (v32 LENOVO TC-61    060400D0 PTL  00000001)
SRAT: PXM 0 -> APIC 0 -> Node 0
SRAT: PXM 0 -> APIC 2 -> Node 0
SRAT: PXM 0 -> APIC 4 -> Node 0
SRAT: PXM 0 -> APIC 6 -> Node 0
SRAT: PXM 1 -> APIC 16 -> Node 1
SRAT: PXM 1 -> APIC 18 -> Node 1
SRAT: PXM 1 -> APIC 20 -> Node 1
SRAT: PXM 1 -> APIC 22 -> Node 1
SRAT: Node 0 PXM 0 0-c0000000
SRAT: Node 0 PXM 0 100000000-1c0000000
SRAT: Node 1 PXM 1 1c0000000-340000000
Bootmem setup node 0 0000000000000000-00000001c0000000
  NODE_DATA [0000000000014000 - 0000000000047fff]
  bootmap [0000000000048000 -  000000000007ffff] pages 38
(9 early reservations) ==> bootmem [0000000000 - 01c0000000]
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
  #1 [0000006000 - 0000008000]       TRAMPOLINE ==> [0000006000 - 0000008000]
  #2 [0001000000 - 0001c44218]    TEXT DATA BSS ==> [0001000000 - 0001c44218]
  #3 [00373ee000 - 0037fef43d]          RAMDISK ==> [00373ee000 - 0037fef43d]
  #4 [000009a800 - 0000100000]    BIOS reserved ==> [000009a800 - 0000100000]
  #5 [0001c45000 - 0001c450e8]              BRK ==> [0001c45000 - 0001c450e8]
  #6 [0000008000 - 000000b000]          PGTABLE ==> [0000008000 - 000000b000]
  #7 [000000b000 - 0000014000]          PGTABLE ==> [000000b000 - 0000014000]
  #8 [0000001000 - 0000001030]        ACPI SLIT ==> [0000001000 - 0000001030]
Bootmem setup node 1 00000001c0000000-0000000340000000
  NODE_DATA [00000001c0000000 - 00000001c0033fff]
  bootmap [00000001c0034000 -  00000001c0063fff] pages 30
(9 early reservations) ==> bootmem [01c0000000 - 0340000000]
  #0 [0000000000 - 0000001000]   BIOS data page
  #1 [0000006000 - 0000008000]       TRAMPOLINE
  #2 [0001000000 - 0001c44218]    TEXT DATA BSS
  #3 [00373ee000 - 0037fef43d]          RAMDISK
  #4 [000009a800 - 0000100000]    BIOS reserved
  #5 [0001c45000 - 0001c450e8]              BRK
  #6 [0000008000 - 000000b000]          PGTABLE
  #7 [000000b000 - 0000014000]          PGTABLE
  #8 [0000001000 - 0000001030]        ACPI SLIT
found SMP MP-table at [ffff8800000f6b30] f6b30
Reserving 129MB of memory at 32MB for crashkernel (System RAM: 13312MB)
Zone PFN ranges:
  DMA      0x00000001 -> 0x00001000
  DMA32    0x00001000 -> 0x00100000
  Normal   0x00100000 -> 0x00340000
Movable zone start PFN for each node
early_node_map[4] active PFN ranges
    0: 0x00000001 -> 0x0000009a
    0: 0x00000100 -> 0x000bf7a0
    0: 0x00100000 -> 0x001c0000
    1: 0x001c0000 -> 0x00340000
ACPI: PM-Timer IO Port: 0x1008
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x02] enabled)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x04] enabled)
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x06] enabled)
ACPI: LAPIC (acpi_id[0x04] lapic_id[0x10] enabled)
ACPI: LAPIC (acpi_id[0x05] lapic_id[0x12] enabled)
ACPI: LAPIC (acpi_id[0x06] lapic_id[0x14] enabled)
ACPI: LAPIC (acpi_id[0x07] lapic_id[0x16] enabled)
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x02] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x03] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x04] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x05] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x06] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x07] high edge lint[0x1])
ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 1, version 32, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 high edge)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
Using ACPI (MADT) for SMP configuration information
ACPI: HPET id: 0x8086a301 base: 0xfed00000
SMP: Allowing 8 CPUs, 0 hotplug CPUs
PM: Registered nosave memory: 000000000009a000 - 000000000009b000
PM: Registered nosave memory: 000000000009b000 - 00000000000a0000
PM: Registered nosave memory: 00000000000a0000 - 00000000000e0000
PM: Registered nosave memory: 00000000000e0000 - 0000000000100000
PM: Registered nosave memory: 00000000bf7a0000 - 00000000bf7c8000
PM: Registered nosave memory: 00000000bf7c8000 - 00000000bf7c9000
PM: Registered nosave memory: 00000000bf7c9000 - 00000000c0000000
PM: Registered nosave memory: 00000000c0000000 - 00000000e0000000
PM: Registered nosave memory: 00000000e0000000 - 00000000f0000000
PM: Registered nosave memory: 00000000f0000000 - 00000000fec00000
PM: Registered nosave memory: 00000000fec00000 - 00000000fec10000
PM: Registered nosave memory: 00000000fec10000 - 00000000fed00000
PM: Registered nosave memory: 00000000fed00000 - 00000000fee00000
PM: Registered nosave memory: 00000000fee00000 - 00000000fee01000
PM: Registered nosave memory: 00000000fee01000 - 00000000ff000000
PM: Registered nosave memory: 00000000ff000000 - 0000000100000000
Allocating PCI resources starting at c0000000 (gap: c0000000:20000000)
Booting paravirtualized kernel on bare hardware
NR_CPUS:4096 nr_cpumask_bits:8 nr_cpu_ids:8 nr_node_ids:2
PERCPU: Embedded 31 pages/cpu @ffff880028200000 s94744 r8192 d24040 u524288
pcpu-alloc: s94744 r8192 d24040 u524288 alloc=1*2097152
pcpu-alloc: [0] 0 1 2 3 [1] 4 5 6 7 
Built 2 zonelists in Zone order, mobility grouping on.  Total pages: 3096773
Policy zone: Normal
Kernel command line: ro root=/dev/mapper/VolGroup-lv_root rd_LVM_LV=VolGroup/lv_root rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEY
TABLE=us nomodeset console=ttyS0,115200 crashkernel=129M@0M
PID hash table entries: 4096 (order: 3, 32768 bytes)
Checking aperture...
No AGP bridge found
PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
Placing 64MB software IO TLB between ffff880020000000 - ffff880024000000
software IO TLB at phys 0x20000000 - 0x24000000
Memory: 12177036k/13631488k available (4983k kernel code, 1057564k absent, 396888k reserved, 3970k data, 1152k init)
Hierarchical RCU implementation.
NR_IRQS:33024 nr_irqs:472
Extended CMOS year: 2000
Console: colour VGA+ 80x25
console [ttyS0] enabled
allocated 125829120 bytes of page_cgroup
please try 'cgroup_disable=memory' option if you don't want memory cgroups
HPET: 4 timers in total, 0 timers will be used for per-cpu timer
Fast TSC calibration using PIT
Detected 2000.057 MHz processor.
Calibrating delay loop (skipped), value calculated using timer frequency.. 4000.11 BogoMIPS (lpj=2000057)
Security Framework initialized
SELinux:  Initializing.
Dentry cache hash table entries: 2097152 (order: 12, 16777216 bytes)
Inode-cache hash table entries: 1048576 (order: 11, 8388608 bytes)
Mount-cache hash table entries: 256
Initializing cgroup subsys ns
Initializing cgroup subsys cpuacct
Initializing cgroup subsys memory
Initializing cgroup subsys devices
Initializing cgroup subsys freezer
Initializing cgroup subsys net_cls
Initializing cgroup subsys blkio
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
mce: CPU supports 9 MCE banks
CPU0: Thermal monitoring enabled (TM1)
using mwait in idle threads.
Performance Events: PEBS fmt1+, Nehalem events, Intel PMU driver.
... version:                3
... bit width:              48
... generic registers:      4
... value mask:             0000ffffffffffff
... max period:             000000007fffffff
... fixed-purpose events:   3
... event mask:             000000070000000f
ACPI: Core revision 20090903
ftrace: converting mcount calls to 0f 1f 44 00 00
ftrace: allocating 20441 entries in 81 pages
DMAR: Host address width 40
DMAR: DRHD base: 0x000000fe710000 flags: 0x1
IOMMU fe710000: ver 1:0 cap c90780106f0462 ecap f02076
DMAR: RMRR base: 0x000000bf7cd000 end: 0x000000bf7dbfff
DMAR: RMRR base: 0x000000bf7e4000 end: 0x000000bf7e4fff
DMAR: RMRR base: 0x000000bf7e5000 end: 0x000000bf7e5fff
DMAR: RMRR base: 0x000000bf7ea000 end: 0x000000bf7eafff
DMAR: RMRR base: 0x000000bf7e6000 end: 0x000000bf7e6fff
DMAR: RMRR base: 0x000000bf7e7000 end: 0x000000bf7e7fff
DMAR: RMRR base: 0x000000bf7e8000 end: 0x000000bf7e8fff
DMAR: RMRR base: 0x000000bf7e9000 end: 0x000000bf7e9fff
DMAR: RMRR base: 0x000000bf7eb000 end: 0x000000bf7ebfff
DMAR: ATSR flags: 0x0
Setting APIC routing to flat
..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
CPU0: Intel(R) Xeon(R) CPU           E5504  @ 2.00GHz stepping 05
Booting Node   0, Processors  #1 #2 #3 Ok.
Booting Node   1, Processors  #4
Disabling lock debugging due to kernel taint
 #5 #6 #7 Ok.
Brought up 8 CPUs
Total of 8 processors activated (31995.91 BogoMIPS).
Testing NMI watchdog ... OK.
devtmpfs: initialized
regulator: core version 0.5
NET: Registered protocol family 16
ACPI FADT declares the system doesn't support PCIe ASPM, so disable it
ACPI: bus type pci registered
PCI: MCFG configuration 0: base e0000000 segment 0 buses 0 - 9
PCI: MCFG area at e0000000 reserved in E820
PCI: Using MMCONFIG at e0000000 - e09fffff
PCI: Using configuration type 1 for base access
bio: create slab <bio-0> at 0
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: No dock devices found.
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci 0000:00:00.0: PME# supported from D0 D3hot D3cold
pci 0000:00:00.0: PME# disabled
pci 0000:00:01.0: PME# supported from D0 D3hot D3cold
pci 0000:00:01.0: PME# disabled
pci 0000:00:03.0: PME# supported from D0 D3hot D3cold
pci 0000:00:03.0: PME# disabled
pci 0000:00:07.0: PME# supported from D0 D3hot D3cold
pci 0000:00:07.0: PME# disabled
pci 0000:00:1a.7: PME# supported from D0 D3hot D3cold
pci 0000:00:1a.7: PME# disabled
pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
pci 0000:00:1b.0: PME# disabled
pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
pci 0000:00:1c.0: PME# disabled
pci 0000:00:1c.4: PME# supported from D0 D3hot D3cold
pci 0000:00:1c.4: PME# disabled
pci 0000:00:1c.5: PME# supported from D0 D3hot D3cold
pci 0000:00:1c.5: PME# disabled
pci 0000:00:1d.7: PME# supported from D0 D3hot D3cold
pci 0000:00:1d.7: PME# disabled
pci 0000:00:1f.2: PME# supported from D3hot
pci 0000:00:1f.2: PME# disabled
pci 0000:01:00.0: PME# supported from D0 D1 D3hot
pci 0000:01:00.0: PME# disabled
pci 0000:01:00.0: disabling ASPM on pre-1.1 PCIe device.  You can enable it with 'pcie_aspm=force'
pci 0000:05:00.0: PME# supported from D3hot D3cold
pci 0000:05:00.0: PME# disabled
pci 0000:06:00.0: PME# supported from D0 D3hot D3cold
pci 0000:06:00.0: PME# disabled
pci 0000:07:02.0: PME# supported from D0 D3hot D3cold
pci 0000:07:02.0: PME# disabled
pci 0000:07:03.0: PME# supported from D0 D3hot D3cold
pci 0000:07:03.0: PME# disabled
pci 0000:09:00.0: PME# supported from D3hot D3cold
pci 0000:09:00.0: PME# disabled
pci 0000:0a:0a.0: PME# supported from D0 D1 D2 D3hot
pci 0000:0a:0a.0: PME# disabled
pci 0000:00:1e.0: transparent bridge
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 10 *11 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 *7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs *3 4 5 6 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 4 *5 6 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 4 5 6 7 10 11 14 15) *0, disabled.
vgaarb: device added: PCI:0000:02:00.0,decodes=io+mem,owns=io+mem,locks=none
vgaarb: loaded
SCSI subsystem initialized
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
pci 0000:00:07.0: BAR 13: can't allocate resource
pci 0000:00:1c.0: BAR 13: can't allocate resource
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0
hpet0: 4 comparators, 64-bit 14.318180 MHz counter
Switching to clocksource tsc
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 10 devices
ACPI: ACPI bus type pnp unregistered
system 00:02: ioport range 0x4d0-0x4d1 has been reserved
system 00:02: ioport range 0x290-0x29f has been reserved
system 00:02: ioport range 0x800-0x80f has been reserved
system 00:02: ioport range 0x1000-0x107f has been reserved
system 00:02: ioport range 0x1180-0x11bf has been reserved
system 00:02: ioport range 0xfe00-0xfe00 has been reserved
system 00:02: iomem range 0xe0000000-0xefffffff has been reserved
system 00:02: iomem range 0xfc000000-0xfcffffff has been reserved
system 00:02: iomem range 0xfee00000-0xfeefffff could not be reserved
system 00:02: iomem range 0xfe800000-0xfe9fffff has been reserved
system 00:02: iomem range 0xfeb00000-0xfebfffff has been reserved
system 00:02: iomem range 0xfe710000-0xfe711fff has been reserved
system 00:02: iomem range 0xfed20000-0xfed3ffff has been reserved
system 00:02: iomem range 0xfed45000-0xfed8ffff has been reserved
pci 0000:00:01.0: PCI bridge, secondary bus 0000:01
pci 0000:00:01.0:   bridge window [0x2000-0x2fff]
pci 0000:00:01.0:   bridge window [0xf0200000-0xf02fffff]
pci 0000:00:01.0:   bridge window [0xc0000000-0xc00fffff]
pci 0000:00:03.0: PCI bridge, secondary bus 0000:02
pci 0000:00:03.0:   bridge window [0x3000-0x3fff]
pci 0000:00:03.0:   bridge window [0xcfe00000-0xcfefffff]
pci 0000:00:03.0:   bridge window [0xd0000000-0xdfffffff]
pci 0000:00:07.0: PCI bridge, secondary bus 0000:03
pci 0000:00:07.0:   bridge window [io  disabled]
pci 0000:00:07.0:   bridge window [mem disabled]
pci 0000:00:07.0:   bridge window [mem pref disabled]
pci 0000:00:1c.0: PCI bridge, secondary bus 0000:04
pci 0000:00:1c.0:   bridge window [0x4000-0x4fff]
pci 0000:00:1c.0:   bridge window [0xc0100000-0xc02fffff]
pci 0000:00:1c.0:   bridge window [0xc0300000-0xc04fffff]
pci 0000:00:1c.4: PCI bridge, secondary bus 0000:05
pci 0000:00:1c.4:   bridge window [0x5000-0x5fff]
pci 0000:00:1c.4:   bridge window [0xf0300000-0xf03fffff]
pci 0000:00:1c.4:   bridge window [0xc0500000-0xc06fffff]
pci 0000:07:02.0: PCI bridge, secondary bus 0000:08
pci 0000:07:02.0:   bridge window [io  disabled]
pci 0000:07:02.0:   bridge window [mem disabled]
pci 0000:07:02.0:   bridge window [mem pref disabled]
pci 0000:07:03.0: PCI bridge, secondary bus 0000:09
pci 0000:07:03.0:   bridge window [io  disabled]
pci 0000:07:03.0:   bridge window [0xf0400000-0xf04fffff]
pci 0000:07:03.0:   bridge window [mem pref disabled]
pci 0000:06:00.0: PCI bridge, secondary bus 0000:07
pci 0000:06:00.0:   bridge window [io  disabled]
pci 0000:06:00.0:   bridge window [0xf0400000-0xf04fffff]
pci 0000:06:00.0:   bridge window [mem pref disabled]
pci 0000:00:1c.5: PCI bridge, secondary bus 0000:06
pci 0000:00:1c.5:   bridge window [0x6000-0x6fff]
pci 0000:00:1c.5:   bridge window [0xf0400000-0xf04fffff]
pci 0000:00:1c.5:   bridge window [0xc0700000-0xc08fffff]
pci 0000:00:1e.0: PCI bridge, secondary bus 0000:0a
pci 0000:00:1e.0:   bridge window [io  disabled]
pci 0000:00:1e.0:   bridge window [0xf0500000-0xf05fffff]
pci 0000:00:1e.0:   bridge window [mem pref disabled]
pci 0000:00:01.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
pci 0000:00:03.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
pci 0000:00:07.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
pci 0000:00:1c.0: enabling device (0000 -> 0003)
pci 0000:00:1c.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
pci 0000:00:1c.4: PCI INT A -> GSI 16 (level, low) -> IRQ 16
pci 0000:00:1c.5: PCI INT B -> GSI 17 (level, low) -> IRQ 17
NET: Registered protocol family 2
IP route cache hash table entries: 524288 (order: 10, 4194304 bytes)
TCP established hash table entries: 524288 (order: 11, 8388608 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
NET: Registered protocol family 1
Trying to unpack rootfs image as initramfs...
Freeing initrd memory: 12293k freed
Simple Boot Flag at 0x47 set to 0x1
audit: initializing netlink socket (disabled)
type=2000 audit(1275561845.463:1): initialized
HugeTLB registered 2 MB page size, pre-allocated 0 pages
VFS: Disk quotas dquot_6.5.2
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
msgmni has been set to 23807
alg: No test for stdrng (krng)
ksign: Installing public key data
Loading keyring
- Added public key D2AA01A655D3B837
- User ID: Red Hat, Inc. (Kernel Module GPG key)
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
pciehp: PCI Express Hot Plug Controller Driver version: 0.4
acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
pci-stub: invalid id string ""
input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/PNP0C0C:00/input/input0
ACPI: Power Button [PWRB]
input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
ACPI: Power Button [PWRF]
processor LNXCPU:00: registered as cooling_device0
processor LNXCPU:01: registered as cooling_device1
processor LNXCPU:02: registered as cooling_device2
processor LNXCPU:03: registered as cooling_device3
processor LNXCPU:04: registered as cooling_device4
processor LNXCPU:05: registered as cooling_device5
processor LNXCPU:06: registered as cooling_device6
processor LNXCPU:07: registered as cooling_device7
xen-platform-pci: failed Xen IOPORT backend handshake: unrecognised magic value
Non-volatile memory driver v1.3
Linux agpgart interface v0.103
tpm_tis 00:00: 1.2 TPM (device-id 0x1002, rev-id 2)
tpm_tis 00:00: tpm_transmit: tpm_send: error -62
crash memory driver: version 1.0
Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
�serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:08: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
brd: module loaded
loop: module loaded
input: Macintosh mouse button emulation as /devices/virtual/input/input2
Fixed MDIO Bus: probed
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
ehci_hcd 0000:00:1a.7: PCI INT C -> GSI 18 (level, low) -> IRQ 18
ehci_hcd 0000:00:1a.7: EHCI Host Controller
ehci_hcd 0000:00:1a.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1a.7: debug port 1
ehci_hcd 0000:00:1a.7: irq 18, io mem 0xf0604000
ehci_hcd 0000:00:1a.7: USB 2.0 started, EHCI 1.00
usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb1: Product: EHCI Host Controller
usb usb1: Manufacturer: Linux 2.6.32-31.el6.x86_64 ehci_hcd
usb usb1: SerialNumber: 0000:00:1a.7
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 4 ports detected
ehci_hcd 0000:00:1d.7: PCI INT A -> GSI 16 (level, low) -> IRQ 16
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 2
ehci_hcd 0000:00:1d.7: debug port 1
ehci_hcd 0000:00:1d.7: irq 16, io mem 0xf0605000
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00
usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb2: Product: EHCI Host Controller
usb usb2: Manufacturer: Linux 2.6.32-31.el6.x86_64 ehci_hcd
usb usb2: SerialNumber: 0000:00:1d.7
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 8 ports detected
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
uhci_hcd: USB Universal Host Controller Interface driver
uhci_hcd 0000:00:1a.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
uhci_hcd 0000:00:1a.0: UHCI Host Controller
uhci_hcd 0000:00:1a.0: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1a.0: irq 16, io base 0x00001800
usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb3: Product: UHCI Host Controller
usb usb3: Manufacturer: Linux 2.6.32-31.el6.x86_64 uhci_hcd
usb usb3: SerialNumber: 0000:00:1a.0
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
uhci_hcd 0000:00:1a.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
uhci_hcd 0000:00:1a.1: UHCI Host Controller
uhci_hcd 0000:00:1a.1: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1a.1: irq 17, io base 0x00001820
usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb4: Product: UHCI Host Controller
usb usb4: Manufacturer: Linux 2.6.32-31.el6.x86_64 uhci_hcd
usb usb4: SerialNumber: 0000:00:1a.1
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 5
uhci_hcd 0000:00:1d.0: irq 16, io base 0x00001840
usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb5: Product: UHCI Host Controller
usb usb5: Manufacturer: Linux 2.6.32-31.el6.x86_64 uhci_hcd
usb usb5: SerialNumber: 0000:00:1d.0
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
uhci_hcd 0000:00:1d.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 6
uhci_hcd 0000:00:1d.1: irq 17, io base 0x00001860
usb usb6: New USB device found, idVendor=1d6b, idProduct=0001
usb usb6: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb6: Product: UHCI Host Controller
usb usb6: Manufacturer: Linux 2.6.32-31.el6.x86_64 uhci_hcd
usb usb6: SerialNumber: 0000:00:1d.1
usb usb6: configuration #1 chosen from 1 choice
hub 6-0:1.0: USB hub found
hub 6-0:1.0: 2 ports detected
uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
usb 1-4: new high speed USB device using ehci_hcd and address 2
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 7
uhci_hcd 0000:00:1d.2: irq 18, io base 0x00001880
usb usb7: New USB device found, idVendor=1d6b, idProduct=0001
usb usb7: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb7: Product: UHCI Host Controller
usb usb7: Manufacturer: Linux 2.6.32-31.el6.x86_64 uhci_hcd
usb usb7: SerialNumber: 0000:00:1d.2
usb usb7: configuration #1 chosen from 1 choice
hub 7-0:1.0: USB hub found
hub 7-0:1.0: 2 ports detected
uhci_hcd 0000:00:1d.3: PCI INT D -> GSI 19 (level, low) -> IRQ 19
uhci_hcd 0000:00:1d.3: UHCI Host Controller
uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 8
uhci_hcd 0000:00:1d.3: irq 19, io base 0x000018a0
usb usb8: New USB device found, idVendor=1d6b, idProduct=0001
usb usb8: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb8: Product: UHCI Host Controller
usb usb8: Manufacturer: Linux 2.6.32-31.el6.x86_64 uhci_hcd
usb usb8: SerialNumber: 0000:00:1d.3
usb usb8: configuration #1 chosen from 1 choice
hub 8-0:1.0: USB hub found
hub 8-0:1.0: 2 ports detected
PNP: No PS/2 controller found. Probing ports directly.
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
rtc_cmos 00:06: RTC can wake from S4
rtc_cmos 00:06: rtc core: registered rtc_cmos as rtc0
rtc0: alarms up to one month, y3k, 114 bytes nvram, hpet irqs
cpuidle: using governor ladder
usb 1-4: New USB device found, idVendor=0bda, idProduct=0111
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 1-4: Product: USB2.0-CRW
usb 1-4: Manufacturer: Generic
usb 1-4: SerialNumber: 20021111153705700
usb 1-4: configuration #1 chosen from 1 choice
cpuidle: using governor menu
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
usbhid: v2.6:USB HID core driver
nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
ip_tables: (C) 2000-2006 Netfilter Core Team
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 17
registered taskstats version 1
No TPM chip found, activating TPM-bypass!
rtc_cmos 00:06: setting system clock to 2010-06-03 10:44:10 UTC (1275561850)
Initalizing network drop monitor service
Freeing unused kernel memory: 1152k freed
Write protecting the kernel read-only data: 7268k
dracut: dracut-004-20.el6
dracut: rd_NO_LUKS: removing cryptoluks activation
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.17.0-ioctl (2010-03-05) initialised: dm-devel@redhat.com
udev: starting version 147
[drm] Initialized drm 1.1.0 20060810
[drm] VGACON disable radeon kernel modesetting.
pci 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[drm] Initialized radeon 1.32.0 20080528 for 0000:02:00.0 on minor 0
dracut: Starting plymouth daemon
dracut: rd_NO_DM: removing DM RAID activation
dracut: rd_NO_MD: removing MD RAID activation
usb 6-1: new full speed USB device using uhci_hcd and address 2
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
ahci 0000:00:1f.2: PCI INT B -> GSI 17 (level, low) -> IRQ 17
firewire_ohci 0000:0a:0a.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
ahci 0000:00:1f.2: AHCI 0001.0200 32 slots 6 ports 3 Gbps 0x9 impl SATA mode
ahci 0000:00:1f.2: flags: 64bit ncq sntf led clo pmp pio slum part ccc sxs 
scsi1 : ahci
scsi2 : ahci
scsi3 : ahci
scsi4 : ahci
scsi5 : ahci
scsi6 : ahci
ata1: SATA max UDMA/133 abar m2048@0xf0606000 port 0xf0606100 irq 32
ata2: DUMMY
ata3: DUMMY
ata4: SATA max UDMA/133 abar m2048@0xf0606000 port 0xf0606280 irq 32
ata5: DUMMY
ata6: DUMMY
mvsas 0000:01:00.0: mvsas: driver version 0.8.2
mvsas 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
mvsas 0000:01:00.0: mvsas: PCI-E x4, Bandwidth Usage: 2.5 Gbps
firewire_ohci: Added fw-ohci device 0000:0a:0a.0, OHCI version 1.10
usb 6-1: New USB device found, idVendor=0557, idProduct=7000
usb 6-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
usb 6-1: configuration #1 chosen from 1 choice
hub 6-1:1.0: USB hub found
hub 6-1:1.0: 4 ports detected
ata4: SATA link down (SStatus 0 SControl 300)
usb 6-1.1: new low speed USB device using uhci_hcd and address 3
ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata1.00: ATAPI: TSSTcorp CDDVDW TS-H653G, LW02, max UDMA/33, ATAPI AN
ata1.00: configured for UDMA/33
scsi 1:0:0:0: CD-ROM            TSSTcorp CDDVDW TS-H653G  LW02 PQ: 0 ANSI: 5
sr0: scsi3-mmc drive: 40x/40x writer dvd-ram cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
firewire_core: created device fw0: GUID 00061b020198a50e, S400
usb 6-1.1: New USB device found, idVendor=0557, idProduct=2213
usb 6-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 6-1.1: Product: CS-1734A V3.4.331
usb 6-1.1: Manufacturer: ATEN
usb 6-1.1: configuration #1 chosen from 1 choice
input: ATEN CS-1734A V3.4.331 as /devices/pci0000:00/0000:00:1d.1/usb6/6-1/6-1.1/6-1.1:1.0/input/input3
generic-usb 0003:0557:2213.0001: input,hidraw0: USB HID v1.00 Keyboard [ATEN CS-1734A V3.4.331] on usb-0000:00:1d.1-1.1/input0
input: ATEN CS-1734A V3.4.331 as /devices/pci0000:00/0000:00:1d.1/usb6/6-1/6-1.1/6-1.1:1.1/input/input4
generic-usb 0003:0557:2213.0002: input,hidraw1: USB HID v1.00 Mouse [ATEN CS-1734A V3.4.331] on usb-0000:00:1d.1-1.1/input1
scsi 0:0:0:0: Direct-Access     Generic- Compact Flash    1.00 PQ: 0 ANSI: 0 CCS
scsi 0:0:0:1: Direct-Access     Generic- SM/xD-Picture    1.00 PQ: 0 ANSI: 0 CCS
scsi 0:0:0:2: Direct-Access     Generic- SD/MMC           1.00 PQ: 0 ANSI: 0 CCS
scsi 0:0:0:3: Direct-Access     Generic- MS/MS-Pro        1.00 PQ: 0 ANSI: 0 CCS
sd 0:0:0:0: [sda] Attached SCSI removable disk
sd 0:0:0:1: [sdb] Attached SCSI removable disk
sd 0:0:0:3: [sdd] Attached SCSI removable disk
sd 0:0:0:2: [sdc] Attached SCSI removable disk
scsi7 : mvsas
ata7.00: ATA-8: ST3500418AS, CC66, max UDMA/100
ata7.00: 976773168 sectors, multi 0: LBA48 NCQ (depth 31/32)
ata7.00: configured for UDMA/100
scsi 7:0:0:0: Direct-Access     ATA      ST3500418AS      CC66 PQ: 0 ANSI: 5
scsi: waiting for bus probes to complete ...
sd 7:0:0:0: [sde] 976773168 512-byte logical blocks: (500 GB/465 GiB)
sd 7:0:0:0: [sde] Write Protect is off
sd 7:0:0:0: [sde] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
 sde: sde1 sde2
sd 7:0:0:0: [sde] Attached SCSI disk
dracut: Scanning devices sde2  for LVM logical volumes VolGroup/lv_root 
dracut: inactive '/dev/VolGroup/lv_root' [50.00 GiB] inherit
dracut: inactive '/dev/VolGroup/lv_swap' [13.77 GiB] inherit
dracut: inactive Original '/dev/VolGroup/test' [10.00 GiB] inherit
dracut: inactive Snapshot '/dev/VolGroup/test_mirror' [5.00 GiB] inherit
dracut: inactive '/dev/VolGroup/xfs' [300.00 GiB] inherit
dracut: inactive '/dev/VolGroup/data' [20.00 GiB] inherit
dracut: inactive '/dev/VolGroup/swap30g' [30.00 GiB] inherit
EXT4-fs (dm-0): INFO: recovery required on readonly filesystem
EXT4-fs (dm-0): write access will be enabled during recovery
EXT4-fs (dm-0): orphan cleanup on readonly fs
EXT4-fs (dm-0): 27 orphan inodes deleted
EXT4-fs (dm-0): recovery complete
EXT4-fs (dm-0): mounted filesystem with ordered data mode
dracut: Mounted root filesystem /dev/mapper/VolGroup-lv_root
dracut: Loading SELinux policy
SELinux:  Disabled at runtime.
type=1404 audit(1275561858.233:2): selinux=0 auid=4294967295 ses=4294967295
dracut: /sbin/load_policy: Can't load policy: No such file or directory
dracut: Switching root
		Welcome to Red Hat Enterprise Linux
		Press 'I' to enter interactive startup.
Starting udev: [  OK  ]
Setting hostname wd20.nay.redhat.com:  [  OK  ]
Setting up Logical Volume Management:   7 logical volume(s) in volume group "VolGroup" now active
[  OK  ]
Checking filesystems
Checking all file systems.
[/sbin/fsck.ext4 (1) -- /] fsck.ext4 -a /dev/mapper/VolGroup-lv_root 
/dev/mapper/VolGroup-lv_root: clean, 266924/3276800 files, 8846105/13107200 blocks
[/sbin/fsck.xfs (1) -- /data] fsck.xfs -a /dev/mapper/VolGroup-data 
/sbin/fsck.xfs: XFS file system.
[/sbin/fsck.ext4 (1) -- /boot] fsck.ext4 -a /dev/sde1 
/dev/sde1: recovering journal
/dev/sde1: clean, 51/128016 files, 92219/512000 blocks
[  OK  ]
Remounting root filesystem in read-write mode:  [  OK  ]
Mounting local filesystems:  I/O error in filesystem ("dm-7") meta-data dev dm-7 block 0x140316f       ("xlog_bread") error 5 buf count 2097152
mount: /dev/mapper/VolGroup-data: can't read superblock
[FAILED]
Enabling local filesystem quotas:  EXT4-fs error (device dm-0): ext4_journal_start_sb: Detected aborted journal
EXT4-fs (dm-0): Remounting filesystem read-only
/etc/init.d/functions: line 532: /sbin/quotaon: Input/output error
[FAILED]
cat: /var/lib/random-seed: Input/output error
/etc/rc.d/rc.sysinit: line 709: /bin/chmod: Input/output error
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=273724, block=1049331
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #2097758 offset 0
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #2363675 offset 0
/etc/rc.d/rc.sysinit: line 763: /bin/find: Input/output error
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #2097156 offset 0
/etc/rc.d/rc.sysinit: line 769: /var/run/utmp: Read-only file system
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #2097758 offset 0
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=273724, block=1049331
/etc/rc.d/rc.sysinit: line 844: /sbin/getkey: Input/output error
touch: cannot touch `/var/log/wtmp': Read-only file system
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=273724, block=1049331
touch: cannot touch `/var/run/getkey_done': Read-only file system
/etc/rc.d/rc.sysinit: line 771: /bin/chgrp: Input/output error
/etc/rc.d/rc.sysinit: line 772: /bin/chmod: Input/output error
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=2363579, block=9437483
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=2363579, block=9437483
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=273724, block=1049331
rm: cannot remove `/tmp/.ICE-unix': Input/output error
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=2363579, block=9437483
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=2363579, block=9437483
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=273724, block=1049331
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=2363579, block=9437483
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=2363579, block=9437483
EXT4-fs error (device dm-0): __ext4_get_inode_loc: unable to read inode block - inode=273724, block=1049331
chown: cannot access `/tmp/.ICE-unix': Input/output error
Enabling /etc/fstab swaps:  /etc/init.d/functions: line 532:EXT4-fs error (device dm-0): __ext4_get_inode_loc:  /sbin/swapon: Iunable to read inode block - inode=306144, block=
1051357nput/output erro
r
[FAILED]
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #2097758 offset 0
/etc/rc.d/rc.sysEXT4-fs error (device dm-0): __ext4_get_inode_loc: init: line 826: unable to read inode block - inode=273724, block=1049331
/var/log/dmesg: Read-only file system
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
/etc/rc.d/rc.sysinit: line 835: /bin/usleep: Input/output error
Comment 6 Eric Sandeen 2010-06-04 10:59:45 EDT
I'ma little confused about the setup of the system.

You are getting IO errors on dm-7 (xfs) as well as on dm-0 (ext4)

You also mentioned something about loop devices.  Is dm-7 on a loop somewhere?  What is the configuration of this machine?

Do you have any concrete steps to reproduce this problem?

Thanks,
-Eric
Comment 7 Xiaohong Wang 2010-06-08 04:24:22 EDT
(In reply to comment #6)
> I'ma little confused about the setup of the system.
> 
> You are getting IO errors on dm-7 (xfs) as well as on dm-0 (ext4)
> 
> You also mentioned something about loop devices.  Is dm-7 on a loop somewhere? 
> What is the configuration of this machine?
> 
> Do you have any concrete steps to reproduce this problem?
> 
> Thanks,
> -Eric    

for the second reboot, I got the almost same errors.
but the system got recovered on my third reboot,
I didn't do any thing except reboot.
I did xfs tests via loop device before, 
but for this error there isn't any loop device involved.

here's the configuration:
[root@wd20 mapper]# cat /etc/fstab 

#
# /etc/fstab
# Created by anaconda on Tue Feb  9 02:11:12 2010
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
/dev/mapper/VolGroup-lv_root /                       ext4    defaults        1 1
UUID=0a190a19-0eba-45b7-a3ad-54a4f49efd41 /boot                   ext4    defaults        1 2
#/dev/mapper/VolGroup-lv_home /home                   ext4    defaults        1 2
/dev/mapper/VolGroup-lv_swap swap                    swap    defaults        0 0
/dev/mapper/VolGroup-data /data                       xfs    defaults        1 1
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
[root@wd20 mapper]# ll /dev/mapper/
total 0
crw-rw---- 1 root root 10, 58 Jun  8 16:05 control
lrwxrwxrwx 1 root root      7 Jun  8 16:06 VolGroup-data -> ../dm-7
lrwxrwxrwx 1 root root      7 Jun  8 16:05 VolGroup-lv_root -> ../dm-0
lrwxrwxrwx 1 root root      7 Jun  8 16:06 VolGroup-lv_swap -> ../dm-1
lrwxrwxrwx 1 root root      7 Jun  8 16:06 VolGroup-swap30g -> ../dm-8
lrwxrwxrwx 1 root root      7 Jun  8 16:06 VolGroup-test -> ../dm-3
lrwxrwxrwx 1 root root      7 Jun  8 16:06 VolGroup-test_mirror -> ../dm-5
lrwxrwxrwx 1 root root      7 Jun  8 16:06 VolGroup-test_mirror-cow -> ../dm-4
lrwxrwxrwx 1 root root      7 Jun  8 16:06 VolGroup-test-real -> ../dm-2
lrwxrwxrwx 1 root root      7 Jun  8 16:06 VolGroup-xfs -> ../dm-6
[root@wd20 mapper]# mount
/dev/mapper/VolGroup-lv_root on / type ext4 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /dev/shm type tmpfs (rw)
/dev/sde1 on /boot type ext4 (rw)
/dev/mapper/VolGroup-data on /data type xfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
[root@wd20 mapper]# cat /proc/mounts 
rootfs / rootfs rw 0 0
/proc /proc proc rw,relatime 0 0
/sys /sys sysfs rw,relatime 0 0
udev /dev devtmpfs rw,relatime,size=6088516k,nr_inodes=1522129,mode=755 0 0
devpts /dev/pts devpts rw,relatime,gid=5,mode=620,ptmxmode=000 0 0
tmpfs /dev/shm tmpfs rw,relatime 0 0
/dev/mapper/VolGroup-lv_root / ext4 rw,relatime,barrier=1,data=ordered 0 0
/proc/bus/usb /proc/bus/usb usbfs rw,relatime 0 0
/dev/sde1 /boot ext4 rw,relatime,barrier=1,data=ordered 0 0
/dev/mapper/VolGroup-data /data xfs rw,relatime,attr2,noquota 0 0
none /proc/sys/fs/binfmt_misc binfmt_misc rw,relatime 0 0
cgroup /cgroup/cpuset cgroup rw,relatime,cpuset 0 0
cgroup /cgroup/cpu cgroup rw,relatime,cpu 0 0
cgroup /cgroup/cpuacct cgroup rw,relatime,cpuacct 0 0
cgroup /cgroup/memory cgroup rw,relatime,memory 0 0
cgroup /cgroup/devices cgroup rw,relatime,devices 0 0
cgroup /cgroup/freezer cgroup rw,relatime,freezer 0 0
cgroup /cgroup/net_cls cgroup rw,relatime,net_cls 0 0
cgroup /cgroup/blkio cgroup rw,relatime,blkio 0 0
sunrpc /var/lib/nfs/rpc_pipefs rpc_pipefs rw,relatime 0 0
Comment 8 Eric Sandeen 2010-06-08 11:46:26 EDT
Do you have step-by-step instructions to reproduce these errors?

I am still not clear on what/how you are testing.

Since you seem to have ext4 as well as xfs corruption, I tend to suspect either hardware problems or a lower-level error.  Can you reproduce on other machines?

Thanks,
-Eric
Comment 9 Xiaohong Wang 2010-06-08 21:44:02 EDT
(In reply to comment #8)
> Do you have step-by-step instructions to reproduce these errors?

Not for now, I just seeing this errors while rebooting rhel6 box occasionally

> 
> I am still not clear on what/how you are testing.

For now, I just got those errors while booting system  after a system crash or upgrade.

> 
> Since you seem to have ext4 as well as xfs corruption, I tend to suspect either
> hardware problems or a lower-level error.  Can you reproduce on other machines?

Make sense, I agree with you. Might be a hardware or driver related issues.

I will try to see whether I can reproduce this on other box.

Thanks,
Xiaohong

> 
> Thanks,
> -Eric
Comment 10 Ric Wheeler 2010-07-02 07:29:42 EDT
We don't have a generic reproducer - this only happens on one machine.

Clearing blocker and moving it back to 6.1 so that it stays on the radar in case the situation changes.
Comment 13 RHEL Product and Program Management 2011-01-06 23:31:51 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 15 Suzanne Yeghiayan 2011-01-07 11:20:54 EST
This request was erroneously denied for the current release of Red Hat
Enterprise Linux.  The error has been fixed and this request has been
re-proposed for the current release.
Comment 16 RHEL Product and Program Management 2011-02-01 01:02:50 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 17 Ric Wheeler 2011-02-01 07:49:22 EST
Please reopen if this appears on other machines.

Note You need to log in before you can comment on or make changes to this bug.